店舗分類項目一覧取得
GET
/store_classes/{store_class_id}/items
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example/items';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example/items \ --header 'Authorization: Bearer <token>'店舗分類項目情報一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_class_id
required
string
店舗分類ID
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
storeClassItemId:店舗分類項目IDdisplaySequence:表示順
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storeClassItemId
店舗分類項目ID:数字10桁以内。
string
storeClassId
店舗分類ID:数字10桁以内。
string
storeClassItemName
店舗分類項目名
string
displaySequence
表示順:数字9桁以内。
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "storeClassItemId": "string", "storeClassId": "string", "storeClassItemName": "string", "displaySequence": "string", "insDateTime": "string", "updDateTime": "string" }]